@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

:root {
    --primary-colour: #fdd728;
    --primary-colour__active: #f7d943;
    --primary__white: #ffffff;
    --primary-text: #6D6E71;
    --primary-background: #fff;
    --disabled: #7b7b7b;
    --confirmation: #07cd07;
    --error: #be0808;
}

body {
    font-family: "Roboto", sans-serif;
    background-color: var(--primary-background);
}

p {
    color: var(--primary-text);
    font-weight: 300;
}

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    font-family: "Roboto", sans-serif;
}

h2 {
    font-size: 20px;
}

a {
    -webkit-transition: .3s all ease;
    -o-transition: .3s all ease;
    transition: .3s all ease;
}
a:hover {
    text-decoration: none !important;
}

.bg {
    min-height: 100vh;
    background-size: cover !important;
    background-repeat: no-repeat;
    background-position: center;
}
.error.bg {
    min-height: 0;
    max-width: 100%;
    background-size: cover !important;
    background-repeat: no-repeat;
    background-position: center;
    max-height: 100vh;
    margin: auto;
    display: block;
}

.card {
    position: relative;
    margin-top: 200px;
    background: var(--primary__white);
    padding: 40px;
    max-width: 500px;
    -webkit-box-shadow: 0 15px 30px 0 rgba(0, 0, 0, 0.2);
    box-shadow: 0 15px 30px 0 rgba(0, 0, 0, 0.2);
    transition: filter 0.25s ease-in-out;
}
.card-body.blur {
    filter: grayscale(100%) blur(2px);
}
.card .card-text {
    color: var(--primary-text);
}
.navbar-brand {
    margin-left: 1rem;
    width: 100%;
}
.navbar .navbar-brand img {
    width: 100%;
}

.loading {
    position: absolute;
    height: 100%;
    width: 100%;
    margin: -40px 0 0 -40px;
    opacity: .8;
    display: none;
    z-index: 100;
}
.loading .error, .loading .confirmation {
    display: none;
}
.confirmation {
    color: var(--confirmation);
}
.error {
    color: var(--error);
}
.loading .spinner {
    color: var(--primary-colour);
}
.loading .align-self-center {
    top: 50%;
}

.btn.btn-primary {
    background: var(--primary-colour);
    color: var(--primary__white) !important;
    text-decoration: none !important;
    border-color: var(--primary-colour__active);
}
.btn.btn-primary a {
    color: var(--primary__white) !important;
}

.btn:active:not(:disabled) {
    background: var(--primary-colour__active) !important;
}

.feedback {
    display: none;
    color: var(--primary-colour__active);
    width: 100%;
    margin: 1rem 0 .25rem 0;
    font-weight: 300;
}

[data-toggle='false'] {
    display: none;
}

.slide-top {
    -webkit-animation: slide-top 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: slide-top 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

nav.navbar.fixed-bottom span {
    font-size: 15px;
}

/*
 * ----------------------------------------
 * animation slide-top
 * ----------------------------------------
 */
@-webkit-keyframes slide-top {
    0% {
        -webkit-transform: translateY(-100px);
        transform: translateY(-100px);
    }
    100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
}
@keyframes slide-top {
    0% {
        -webkit-transform: translateY(-100px);
        transform: translateY(-100px);
    }
    100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
}
